Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005472 [JEDI VCL] 00 JVCL Components minor always 2011-01-31 16:36 2011-09-21 14:10
Reporter stevegr View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005472: TJvTFDays.GetMinorLabel
Description TJvTFDays.GetMinorLabel method,

TimeAMString and TimePMString should be used instead of 'am' and 'pm' respectively to work with different locates.
Additional Information   if (FancyRowHdrAttr.OnlyShow00Minutes and (ExtractMins(RowTime) = 0)) or
    (not FancyRowHdrAttr.OnlyShow00Minutes) then
  begin
    if (not FancyRowHdrAttr.Hr2400) and (Granularity < 60) then
    begin
      // Get the first row with a 00 hour
      FirstHourRow := TopRow;
      while (FirstHourRow < BottomRow) and (ExtractMins(RowToTime(FirstHourRow)) <> 0) do
        Inc(FirstHourRow);
      if RowTime = 0 then
        Result := TimeAMString
      else
      if RowTime = 0.50 then
        Result := TimePMString
      else
      if (RowNum = FirstHourRow) and (ExtractMins(RowTime) = 0) then
      begin
        if RowTime < 0.50 then
                    Result := TimeAMString
        else
          Result := TimePMString;
      end
      else
        Result := FormatDateTime(TimeFmt, RowTime);
    end
    else
      Result := FormatDateTime(TimeFmt, RowTime);
  end
  else
    Result := '';
Tags No tags attached.
Attached Files 7z file icon feedback.7z [^] (68,651 bytes) 2011-02-15 14:40

- Relationships
related to 0005462resolvedobones TJvTFDays does not allow for european time display. 

-  Notes
(0018358)
obones (administrator)
2011-02-15 13:51

Please provide the zipped sources of a sample application showing this.
(0018366)
stevegr (reporter)
2011-02-15 14:46

Action:
Replace hard-coded 'am' and 'pm' strings with TimeAMString and TimePMString in JvTFDays.GetMinorLabel to work correctly with other locales.

Lines:
6795
6798
6803
6805
(0018662)
obones (administrator)
2011-06-08 13:46

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2011-01-31 16:36 stevegr New Issue
2011-02-15 13:51 obones Note Added: 0018358
2011-02-15 13:51 obones Status new => feedback
2011-02-15 14:40 stevegr File Added: feedback.7z
2011-02-15 14:46 stevegr Note Added: 0018366
2011-02-15 14:47 obones Status feedback => acknowledged
2011-06-08 13:46 obones Note Added: 0018662
2011-06-08 13:46 obones Status acknowledged => resolved
2011-06-08 13:46 obones Fixed in Version => Daily / SVN
2011-06-08 13:46 obones Resolution open => fixed
2011-06-08 13:46 obones Assigned To => obones
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45
2012-02-28 09:04 obones Relationship added related to 0005462


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker